### File

`packages/ecl/components/ecl-mega-menu/directives/ecl-mega-menu-list.directive.ts`

### Description

Directive that adds specific classes and functionality to the mega-menu sublist.

### Extends

`ECLBaseDirective`

### Implements

`OnDestroy` `DoCheck`

### Metadata

Selector | `ul[eclMegaMenuSublist]`

### Index

###### Properties
cmpClass el isScrollable spacer styleTop submenuItems
###### Methods
onParentMegaMenuItemClick getCssClasses
###### Inputs
class e2eAttr tabindex
###### Outputs
megaMenuSubItemClicked
###### HostBindings
class.ecl-mega-menu__sublist class.ecl-mega-menu__sublist--scrollable style.top.px

### Constructor

`constructor()`

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

megaMenuSubItemClicked
Type : `EventEmitter`

### HostBindings

class.ecl-mega-menu__sublist
Type : `boolean`
Default value : `true`

class.ecl-mega-menu__sublist--scrollable
Type : `boolean`
Default value : `false`

style.top.px
Type : `number | null`
Default value : `null`

### Methods

onParentMegaMenuItemClick
`onParentMegaMenuItemClick(isExpanded: boolean)`
When parent mega-menu item is clicked. Parameters :
Name | Type | Optional | Description
isExpanded | `boolean` | No | 'true', if parent item is expanded, 'false' if item is collapsed.
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

cmpClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-mega-menu__sublist')`

el
Type : `unknown`
Default value : `inject(ElementRef)`

isScrollable
Type : `unknown`
Default value : `false`
Decorators : `@HostBinding('class.ecl-mega-menu__sublist--scrollable')`

spacer
Type : `QueryList<EclMegaMenuSpacerDirective>`
Decorators : `@ContentChild(undefined)`

styleTop
Type : `number | null`
Default value : `null`
Decorators : `@HostBinding('style.top.px')`

submenuItems
Type : `QueryList<EclMegaMenuSubitemComponent>`
Decorators : `@ContentChildren(undefined)`

# results matching ""

# No results matching ""